Subject: RE: W bit

From: "Shekhar, Ravi" <[email-masked]>
Date: Wed, 13 Oct 1999 16:01:18 -0400

> > 
> >   <S, G>RPT joins are at least useful in overriding <S, 
> G>RPT prunes. 
> >   Sending <*, G>join to override has unwanted effect of getting all 
> >   other pruned <S, G> data too.
> > 
> >   - Ravi Shekhar. 
> > 
> 
> This is not true.  Other (S,G)RPTs are still in the same packet with
> the (*,G), so no unwanted traffic for other flows.  I do not see other
> reasons for having a (S,G)RPT join.

  My understanding is that this could potentially result in a vicious circle

  of prune overriding messages.

  Consider two routers: R1 with <*, G>join<S1, G>prune and R2 with
  <*, G>join<S2, G>prune state. 

  Lets say R1 sends <*, G>join<S1, G>prune to override some prune.
  Now in order to override R1's <S1, G>prune, R2 will send <*, G>join<S2,
G>prune. 
  And then to override R2's <S2, G>prune, R1 will again send <*, G>join<S1,
G>prune
  ..... and so on....

  One can do tricks with set-intersection of S's but if you increase the
  number of routers on the LAN, even that will end up generating quite a few
  number of messages in the worst case.

  - Ravi Shekhar.